﻿//nina
/*var myNumberOfLines = 201;

var a_pulse = 161;
var b_pulse = 16;

var myLength = 36;
var myClosedPath = true; */




if (app.documents.length !=0) {

	if (app.activeWindow.constructor.name == "LayoutWindow") {
	var myViewPreferences = app.activeDocument.viewPreferences;
	var myOldXUnits = myViewPreferences.horizontalMeasurementUnits;
	var myOldYUnits = myViewPreferences.verticalMeasurementUnits;
	
	app.activeDocument.viewPreferences.horizontalMeasurementUnits = MeasurementUnits.points;
	app.activeDocument.viewPreferences.verticalMeasurementUnits = MeasurementUnits.points;

	//myDrawNina(myNumberOfLines, a_pulse, b_pulse, myLength, myClosedPath);
	myDisplayDialog();
	
	
	app.activeDocument.viewPreferences.horizontalMeasurementUnits = myOldXUnits;
	app.activeDocument.viewPreferences.verticalMeasurementUnits = myOldYUnits;


	}

}

function myDrawNina(myNumberOfLines, a_pulse, b_pulse, myLength, myClosedPath){

var cur_x, cur_y;
var myAnchor = new Array(2);
var myArray = new Array;

	for (var myCounter = 0; myCounter < myNumberOfLines; myCounter++) {
	cur_x = (Math.cos((-2 * Math.PI * a_pulse * myCounter) / myNumberOfLines) + Math.cos((-2 * Math.PI * b_pulse * myCounter) / myNumberOfLines)) * myLength;
	
	cur_y = (Math.sin((-2 * Math.PI * a_pulse * myCounter) / myNumberOfLines) + Math.sin((-2 * Math.PI * b_pulse * myCounter) / myNumberOfLines)) * myLength;

	myAnchor = [cur_x, cur_y];
	myArray.push(myAnchor);
	}

app.activeDocument.viewPreferences.horizontalMeasurementUnits = MeasurementUnits.points;
app.activeDocument.viewPreferences.verticalMeasurementUnits = MeasurementUnits.points;

var myPage = app.activeWindow.activePage;
var myGraphicLine = myPage.graphicLines.add();
myGraphicLine.move(undefined, ["1p","1p"]);
var myPath = myGraphicLine.paths.item(0);

myPath.entirePath = myArray;

	if(myClosedPath == true) {
	myPath.pathType = PathType.closedPath;
	}
	else{
	myPath.pathType = PathType.openPath;
	}

myGraphicLine.label = "Anzahl Linien = " + myNumberOfLines + ",a_pulse = " + a_pulse + ", b_pulse" + b_pulse;

}


function myDisplayDialog() {

var myDialog = app.dialogs.add({Name: "Nina"});
		with (myDialog){

		myDialogColumn = dialogColumns.add();
				
				with(myDialogColumn) {

							with(borderPanels.add()) {

										with(dialogColumns.add()){

										staticTexts.add({staticLabel:"Anzahl Wiederholungen:"});
										staticTexts.add({staticLabel:"Wert1:"});
										staticTexts.add({staticLabel:"Wert2:"});
										staticTexts.add({staticLabel:"Breite (in Punkt):"});

										}
							
							with(dialogColumns.add()){
							
							myNumberOfLinesField = integerEditboxes.add({editValue:201, minWidth:60});
							myAPulseField = integerEditboxes.add({editValue:16, minWidth:60});
							myBPulseField = integerEditboxes.add({editValue:161, minWidth:60});
							myLengthField = integerEditboxes.add({editValue:72, minWidth:60});

							
							}
							
							with (borderPanels.add()){
					
									with(radiobuttonGroups.add()){
									myClosedPathButton = radiobuttonControls.add({staticLabel:"Pfad schließen", checkedState:true});
									myOpenPathButton = radiobuttonControls.add({staticLabel:"Pfad öffnen"});

									}
							}
							
				}
			

				
				}
		}

//}

myReturn = myDialog.show();
			
			if (myReturn == true) {

			myNumberOfLines = myNumberOfLinesField.editValue;
			a_pulse = myAPulseField.editValue;
			b_pulse = myBPulseField.editValue;
			myLength = myLengthField.editValue;
			myClosedPath = myClosedPathButton.checkedState;
			myDialog.destroy();
			myDrawNina(myNumberOfLines, a_pulse, b_pulse, myLength, myClosedPath);
			}
			else{
			myDialog.destroy();
			}

} // Ende Funktion